defmodule OutlookWeb.DeeplAccountLive.Show do
  use OutlookWeb, :live_view

  alias Outlook.Translators

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    {:noreply,
     socket
     |> assign(:page_title, page_title(socket.assigns.live_action))
     |> assign(:deepl_account, Translators.get_deepl_account!(id))}
  end

  defp page_title(:show), do: "Show Deepl account"
  defp page_title(:edit), do: "Edit Deepl account"
end
